def f(A, Prod_Imp, period, num_ot, filename):
    # Генерация сигнала
    signal = []
    for i in range(num_ot):
        # Определяем положение в текущем периоде
        pos  = i % period
        # Если находимся в пределах длительности импульса
        if pos < Prod_Imp:
            signal.append(A)
        else:
            signal.append(0.0)
    # Запись в файл
    with open(filename, 'w', encoding='utf-8') as f:
        for i in signal:
            f.write(f"{i}\n")
    return signal
